<h1>Korisnici</h1>
<div>
    <table>
        <thead>
            <th>Id:</th>
            <th>Korisnicko ime: </th>
            <th>Email:</th>
            <th>Lozinka:</th>
            <th>Akcija:</th>
        </thead>
        <tbody>
            <tr *ngFor="let u of allUsers">
                <td>{{u.id}}</td>
                <td>{{u.korisnickoIme}}</td>
                <td>{{u.email}}</td>
                <td>{{u.lozinka}}</td>
                <td>
                    <button (click)="getUser(u.id)">Detalji</button>
                    <button (click)="removeUser(u.id)">Obrisi</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div>
    <form (ngSubmit)="addUser()" #editForm="ngForm">
        <h2>Dodaj novog Korisnika</h2>
        <hr>
        <div>
            <label for="korisnickoImeInp">Korisnicko Ime:</label>
            <input id="korisnickoImeInp" name="korisnickoIme" #korisnickoIme="ngModel" [(ngModel)]="newUser.korisnickoIme" [ngClass]="{'invalid': korisnickoIme.invalid}" type="text" required>
        </div>
        <div>
            <label for="emailInp">Email:</label>
            <input id="emailInp" name="email" #email="ngModel" [(ngModel)]="newUser.email" [ngClass]="{'invalid': email.invalid}" type="text" required>
        </div>
        <div>
            <label for="lozinkaInp">Lozinka:</label>
            <input id="lozinkaInp" name="lozinka" #lozinka="ngModel" [(ngModel)]="newUser.lozinka" [ngClass]="{'invalid': lozinka.invalid}" type="text" required>
        </div>
        <div>
            <input [disabled]="korisnickoIme.invalid" [disabled]="email.invalid" [disabled]="lozinka.invalid" type="submit" value="Dodaj">
        </div>
    </form>
</div>